<template>
  <div class="products">
    <form class="searchbar">
      <input placeholder="Пошук" v-model="search" />
      <input type="submit" class="btn" />
    </form>
    <br />
    There are currently {{ getCartCount }} items in your cart.
    <router-link v-bind:to="'/cart/'"
      ><button class="btn">My cart</button></router-link
    >
    <button class="btn" @click="clearCart()">Clear cart</button>
    <div class="product" v-for="item in filteredItems" v-bind:key="item._id">
      <div class="product-image">
        <img v-bind:src="item.src" />
      </div>
      <div>
        <h4 class="product-title">
          <router-link v-bind:to="'/product/' + item._id">
            {{ item.name }}
          </router-link>
        </h4>
        <label>{{ item.price }}</label>
        <button class="btn" @click="addToCart(item, 1);">Add to cart</button>
      </div>
    </div>
  </div>
</template>
<script>
import axios from "axios";

export default {
  data: function () {
    return {
      products: [],
      search: "",
      searchResult: [],
    };
  },
  mounted: function () {
    axios.get("http://localhost:3000/products").then((response) => {
      this.products = response.data;
      console.log(response.data);
    });
  },
  computed: {
    filteredItems: function () {
      if (!this.search) {
        return this.products;
      }
      return this.products.filter((element) => {
        return element.item.toUpperCase().includes(this.search.toUpperCase());
      });
    },
    getCartCount() {
      return this.$store.getters.getCartCount;
    },
  },
  methods: {
    addToCart(item, number) {
      this.$store.commit("addCartItem", item, number);
    },
    clearCart() {
      this.$store.commit("clearCart");
    },
  },
};
</script>
